body {
    padding: 0px;
    margin: 0px;
}

.mainBody {
    margin-bottom: 40px;
}

.alignRight {
    text-align: right;
    margin-bottom: 3px;
}

/* ----- 滚动条样式 ----- */
::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    background: transparent;
}

::-webkit-scrollbar-button:vertical {
    display: none;
}

::-webkit-scrollbar-track, ::-webkit-scrollbar-corner {
    background-color: #e2e2e2;
}

::-webkit-scrollbar-thumb {
    border-radius: 8px;
    background-color: #a6a6a6;
}

::-webkit-scrollbar-thumb:vertical:hover {
    background-color: #7f7f7f;
}

::-webkit-scrollbar-thumb:vertical:active {
    background-color: rgba(0, 0, 0, .38);
}

/* ----- 滚动条样式 ----- */
* {
    box-sizing: border-box;
}

.page-loading {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #fff;
}

.rubik-loader {
    width: 64px;
    height: 64px;
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    background-image: url(/images/loading.gif);
    background-repeat: no-repeat;
    background-position: center;
}

.oa_core-body {
    margin: 30px;
}

.oa_core-search-area input {
    height: 32px;
}

.oa_core-oper-area {
    font-size: 18px !important;
    margin-right: 5px;
}

.oa_core-blue {
    color: #1E9FFF;
}

.oa_core-red {
    color: #F56C6C;
}

.oa_core-left {
    float: left;
}

.oa_core-right {
    float: right;
}

.layui-form-select dl dd.layui-this {
    background-color: #1E9FFF;
    color: white;
}

/* .layui-form-onswitch {
    background-color: #02a7f0;
    border-color: #02a7f0;
} */

.layui-laypage a:hover {
    color: #1E9FFF;
}

.layui-laypage .layui-laypage-curr .layui-laypage-em {
    background-color: #1E9FFF;
}

.layui-input:focus, .layui-textarea:focus {
    border-color: #1E9FFF !important;
}

.layui-btn-primary:hover {
    border-color: #1E9FFF;
}

.layui-laypage input:focus, .layui-laypage select:focus {
    border-color: #1E9FFF !important;
}

.layui-laypage em {
    font-weight: bold;
}

.layui-form-checked[lay-skin=primary] i {
    border-color: #1E9FFF !important;
    background-color: #1E9FFF;
}


.layui-form-radio > i:hover, .layui-form-radioed > i {
    color: #1E9FFF;
}

.layui-breadcrumb a:hover {
    color: #1E9FFF !important;
}

.layui-btn .layui-icon {
    margin-right: 0px !important;
}

.layui-form-label {
    padding: 6px 15px;
}

.layui-elem-quote {
    font-weight: bolder;
    margin-bottom: 3px;
}

.form-label-input, .layui-form-label {
    font-weight: bolder;
}

.layui-readonly {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none
}

.layui-readonly, .layui-readonly:hover {
    color: #000000 !important;
    cursor: not-allowed !important
}